{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'bootstrap.min.css' %}">
    <title>Add User</title>
</head>
<body>
    <div class = "container">
        <h1 style=" margin:10px 10px 10px 0px">Register yourself :)</h1>
        {% if messages %}
            {% for mesg in messages %}
                <p class="text-success">{{mesg}}</p>
            {% endfor %}
        {% endif%}
        <form action="create" method = "POST">
            {% csrf_token %}

            <div class="form-group">
                <label for="user_id">ID:</label>
                <input type="text" class="form-control" placeholder="Enter Id" name="user_id" required>
            </div>    

            <div class="form-group">
                <label for="user_name">Name:</label>
                <input type="text" class="form-control" placeholder="Enter Name" name ="user_name" required>
            </div>        

            <div class="form-group">
                <label for="user_age">Age:</label>
                <input type="text" class = "form-control" name = "user_age" placeholder="Enter Age" required>
            </div>

            <div class="form-group">
                <label for="user_interests">Interests:</label>
                <input type="text" class = "form-control" name = "user_interests" placeholder="Enter Interests" required>
            </div>
       
            <button type="submit" class = "btn btn-primary">Add</button>
        
        </form>
        <br /> <br />
        <a class="btn btn-primary" href="home">Home</a>
    </div>
</body>
</html>